package com.mortals.xhx.excel;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * ReadExcelFiled
 *
 * @author liyiqi
 * @date 2019/4/25
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ReadExcelField {
    int value();

    String separator() default "-";

    boolean require() default true;

    boolean splitFirst() default false;

    String ptn() default "";
}
